Author Topic: I'v tried to install codeblocks for days, nearly one week, i'm going to lose  (Read 2494 times)

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
 i'm going to lose  my heart and confidence on codeblocks.
I can't compile and install it in redhat. Always there are error reported.

Why there is nobody could just give a binary rpm for installing.

So troublesome.

I'm nearly die. it's so painful.

Offline TheTuxKeeper

  • Regular
  • ***
  • Posts: 293
  • daniel2000
Can you post the errors ?
Which wxGTK version do you use?

perhaps you should look at the last two posts of RPM Spec file is ready

Daniel
Nightly builds for openSUSE

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
at this time, i've got the error like this:


+ chmod a+x bootstrap acinclude.m4 src/update
+ ./bootstrap
You should add the contents of `/usr/share/aclocal/libtool.m4' to `aclocal.m4'.
Can't locate object method "path" via package "Request" at /usr/local/share/autoconf/Autom4te/C4che.pm line 69, <GEN1> line 111.
automake: autoconf failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.60415 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.60415 (%build)


i'me a newbie of linux, but i must work on it at present, So painful it is when i work without CodeBlocks. Oh my god...

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
Before this, I installed CodeBlocks with wxWidgets 2.4.2, and it could not be compiled with the error message such as "wxUsleep" error, i was noticed that it was cuase by wxWidget whose version is below 2.5, so i uninstalled wxWidgets2.4.2 and installed wxWidget 2.6.2. Though it's looked like 2.6.2 was installed successfully, but the error i poseted at last reply occurred...